All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::tree_parsing::filter_elements Class Reference

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::filter_elements:

## Public Member Functions

| filter_elements (scheduler::statement_node_subtype subtype, std::vector< scheduler::lhs_rhs_element > &out)
void | operator() (scheduler::statement const &statement, vcl_size_t root_idx, leaf_t) const
Public Member Functions inherited from viennacl::device_specific::tree_parsing::traversal_functor
void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Detailed Description

Definition at line 102 of file tree_parsing.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::tree_parsing::filter_elements::filter_elements | ( | scheduler::statement_node_subtype | subtype,
|  | std::vector< scheduler::lhs_rhs_element > & | out
| ) |  |

inline

Definition at line 105 of file tree_parsing.hpp.

## Member Function Documentation

void viennacl::device_specific::tree_parsing::filter_elements::operator() | ( | scheduler::statement const & | statement,
|  | vcl_size_t | root_idx,
|  | leaf_t |
| ) |  | const

inline

Definition at line 107 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp